---
layout: release
date: 2022-01-17
tag: v0.6.0-rc-4
---

## What's New
## 🔤 General
- Upgrade meshkit @Revolyssup (#4949)
- [Fix] Remove Redundant NATS Connections in Subscriptions @sudo-NithishKarthik (#4941)
- Add the new chart to meshery and meshery-operator @Aisuko (#4918)
- [Patterns] Query resolver for Get Patterns @bariqhibat (#4925)
- Add @piyushsingariya to MAINTAINERS.md @verma-kunal (#4899)
- chore[Readme]: Added Aditya Chatterjee as a Docs Maintainers @Abhijay007 (#4897)
-  Close all database connections safely before exiting in dev environment  @Revolyssup (#4873)

## ⌨️ Meshery CLI

- [mesheryctl] Support quoted args and refactoring code in `mesheryctl perf` @piyushsingariya (#4823)
- [mesheryctl] Replaced `adapters` with `components` in meshconfig @piyushsingariya (#4905)
- [mesheryctl] add suggestions for `context switch` invalid arguments @bisakhmondal (#4876)
- [mesheryctl] Chaining token functions for authentication @hexxdump (#4887)
- [mesheryctl] Adding MesheryReadinessHealthCheck for `system start` @piyushsingariya (#4874)
- [mesheryctl] Added unit test for healthcheck.go @afzal442 (#4403)

## 🖥 Meshery UI

- [UI] fixed text-cutoff @asubedy (#4950)
- [Server] Add support for deleting multiple patterns without exploiting requests @Abhishek-kumar09 (#4324)
- style changes to text field in RJSF @warunicorn19 (#4934)
- [RJSF/Extension] Fix Name and Namespace Fileds @Abhishek-kumar09 (#4928)
- [UI] Fix : Change UI to send json request for user preferences @manav1403 (#4913)
- [pattern/url-import] Realtime URL validator for URL import @Abhishek-kumar09 (#4931)
- [Patterns] Fix Pattern upload/update issues from the patterns & configurator page @Abhishek-kumar09 (#4929)
- fixed release link not openeing in new tab @asubedy (#4910)
- UI: Fixed logo hyperlink in the navbar @Nikhil-Ladha (#4906)
- pre-commit hook lint-staged config: Remove git add & invoke eslint --fix w/out path (lint-staged does this for us) @MarioArriaga92 (#4902)
- Bump lint-staged from 11.1.1 to 12.1.5 in /ui @dependabot (#4884)
- [UI] Pattern Configurator enhancement  @Chadha93 (#4890)
- [Navigator] Hide scrollbar while still be able to scroll @Abhishek-kumar09 (#4888)
- shift to localhost ref for adapters @leecalcote (#4871)

## 🔋 Patterns, Filters, Applications

- [Server] Add support for deleting multiple patterns without exploiting requests @Abhishek-kumar09 (#4324)
- [pattern/url-import] Realtime URL validator for URL import @Abhishek-kumar09 (#4931)
- [Patterns] Fix Pattern upload/update issues from the patterns & configurator page @Abhishek-kumar09 (#4929)
- [UI] Pattern Configurator enhancement  @Chadha93 (#4890)

## 🧰 Maintenance

- Moved to meshkit's new gitwalker which doesn't use api.github.com @Revolyssup (#4667)
- Bump fortio.org/fortio from 1.19.0 to 1.20.0 @dependabot (#4866)
- [Cl] Update Slack Workflow @theBeginner86 (#4927)
- Bump github.com/briandowns/spinner from 1.16.0 to 1.18.0 @dependabot (#4868)
- chore[Readme]: Replaced Dhruv Patel with Abhishek Kumar as UI maintainer @Abhijay007 (#4898)
- Bump lint-staged from 11.1.1 to 12.1.5 in /ui @dependabot (#4884)
- [mesheryctl] Adding MesheryReadinessHealthCheck for `system start` @piyushsingariya (#4874)
- [mesheryctl] Added unit test for healthcheck.go @afzal442 (#4403)
- Add the current latest tag as the chart version @Aisuko (#4886)
- [Chore] Golang dependency updates for MeshKit, Operator, MeshSync @leecalcote (#4877)
- Bump github.com/spf13/cobra from 1.2.1 to 1.3.0 @dependabot (#4865)
- shift to localhost ref for adapters @leecalcote (#4871)
- Use system logs instead of kubectl in core workflow @Revolyssup (#4872)
- Replacing kubectl with mesheryctl in workflow @Revolyssup (#4869)
- Use mesheryctl command in workflow @Revolyssup (#4847)

## 📖 Documentation

- [DOCS] Add dropdown arrows in docs Sidebar Menu. #3946 @14Richa (#4752)
- [Docs] Update pages/concepts/architecture/architecture.md @verma-kunal (#4924)
- [DOCS] Fixed Slack link @amoghjalan (#4923)
- [Docs] Redirect from trailing slash reference @leecalcote (#4919)
- Doc fix for Providers @MUzairS15 (#4908)
- [docs] Fix typo in the earliest service mesh versions @theBeginner86 (#4912)
- Removed files with colon in name @Revolyssup (#4894)
- [Docs] Filter non-English pages from Operation Guides list @MUzairS15 (#4891)
- [Docs] Fix Typo For Istio Adapter @theBeginner86 (#4880)
- shift to localhost ref for adapters @leecalcote (#4871)
- [Docs] Relocate version selector @leecalcote (#4852)
- [Docs] Styling of Docs overview page @leecalcote (#4851)
- [Docs] Add "framework/jekyll" label @leecalcote (#4849)

## 🔒 Security

- [CI] Security: Upgrade to docker image to Alpine 3.15 @leecalcote (#4838)

## 👨🏽‍💻 Contributors

Thank you to our contributors for making this release possible:
@14Richa, @Abhijay007, @Abhishek-kumar09, @Aisuko, @Chadha93, @MUzairS15, @MarioArriaga92, @Nikhil-Ladha, @Revolyssup, @adithyaakrishna, @afzal442, @amoghjalan, @asubedy, @bariqhibat, @bisakhmondal, @dependabot, @dependabot[bot], @hexxdump, @l5io, @leecalcote, @manav1403, @piyushsingariya, @sudo-NithishKarthik, @theBeginner86, @verma-kunal, @warunicorn19 and l5io
